Looks like you have one and possibly two different problems here.

The "could not open .." appears to be a broken or missing package. Install it:

sudo apt install gvfs-backends

The other...